The transaction payment value. This field exclusively accepts integer units where the final decimals are represented as whole values (e.g., an amount value of 1000 translates to 10.00 in the system backend).
Use English letters, numbers, spaces and basic punctuation (. , - _ ( ) @ /). Avoid emojis and non-English characters: some payment providers remove unsupported characters or shorten the text (for example, FPX keeps only the first 30 characters), so the description shown to the customer by the provider may differ from what you sent. The payment is not rejected when characters are removed.
[Conditional] Customer's user agent. It is recommended to input for a better user experience for specific channels due to different platforms such as desktop, mobile, or app view. Example channels impact: ShopeePay.
How many seconds the payment stays valid from the time of this response. Only set for channels with a short validity period (QR channels and some card channels). Use transactionExpired for the exact deadline.
Token that identifies this transaction on CommercePay's hosted payment page. Always returned, so you don't need to parse it out of redirectUrl, which may point to the payment provider instead.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"CommercePay","colors":{"primary":"#5D40E6","light":"#9546E9","dark":"#5834E9"},"logo":{"light":"https://mintcdn.com/commercepay/zbo4Bt5Hnzxuhmp1/logo/commercepay-logo-cropped.png?fit=max\u0026auto=format\u0026n=zbo4Bt5Hnzxuhmp1\u0026q=85\u0026s=2818942319162624de2b3de633ee42ed","dark":"https://mintcdn.com/commercepay/zbo4Bt5Hnzxuhmp1/logo/commercepay-logo-cropped.png?fit=max\u0026auto=format\u0026n=zbo4Bt5Hnzxuhmp1\u0026q=85\u0026s=2818942319162624de2b3de633ee42ed"},"favicon":"https://mintcdn.com/commercepay/7PrnGTffSwt18xAA/favicon.ico?fit=max\u0026auto=format\u0026n=7PrnGTffSwt18xAA\u0026q=85\u0026s=5bc0f4406b0009f6658b13dd37c95f37","api":{"playground":{"display":"simple"}},"navbar":{"links":[{"href":"mailto:payments@commerce.asia","label":"Support"}]},"seo":{"metatags":{"google-site-verification":"dUzHLcHfcaknXY13Nu97zc6gj2DguWeqMvoJWcgBCa4","og:image":"/images/commercepay-og-image.png","twitter:image":"/images/commercepay-og-image.png"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"commercepay","hasAudioNarration":false,"actualSubdomain":"commercepay","customDomains":["docs.commercepay.asia"],"gitSource":{"type":"github","owner":"commerceasia","repo":"commercepay-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ae2d375bf78690ab5d17709","collectionId":"968a6a75-68b2-4ecd-bf32-e8fd916b1562","liveDeploymentHistoryId":"6ae2d375bf78690ab5d17709","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6ae2d375bf78690ab5d17709","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":17},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"All APIs","count":13},{"language":"default","tag":"PaymentGateway","count":10},{"language":"default","tag":"Get Started","count":7},{"language":"default","tag":"Payout APIs","count":3},{"language":"default","tag":"Payins","count":3},{"language":"default","tag":"Payouts","count":3},{"language":"default","tag":"Channel","count":2},{"language":"default","tag":"Payin APIs","count":1}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"img.nav-logo{height:2.25rem!important;width:auto!important}"}],"page":{"pagePath":"api-reference/paymentgateway/request-payment","slug":"/api-reference/paymentgateway/request-payment","pageMetadata":{"title":"Request Payment","description":"**The payment gateway requests a new payment**\n\nThe following input parameters are expected to be provided by the merchant to perform an online payment transaction.\n\n> - Channel Id may refer to the [Get Channel List](/api-reference/get-tenant-channels-by-country)\n> - If merchants would like to use [CommercePay Hosted Payment Web solution](/hosted-session-checkout), merchants may skip Channel Id parameter.","deprecated":null,"version":null,"sidebarTitle":"Request Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RequestPayment","href":"/api-reference/paymentgateway/request-payment","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n blockquote: \"blockquote\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"The payment gateway requests a new payment\"\n })\n }), \"\\n\", _jsx(_components.p, {\n children: \"The following input parameters are expected to be provided by the merchant to perform an online payment transaction.\"\n }), \"\\n\", _jsxs(_components.blockquote, {\n children: [\"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Channel Id may refer to the \", _jsx(_components.a, {\n href: \"/api-reference/get-tenant-channels-by-country\",\n children: \"Get Channel List\"\n })]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"If merchants would like to use \", _jsx(_components.a, {\n href: \"/hosted-session-checkout\",\n children: \"CommercePay Hosted Payment Web solution\"\n }), \", merchants may skip Channel Id parameter.\"]\n }), \"\\n\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Request Payment","description":"**The payment gateway requests a new payment**\n\nThe following input parameters are expected to be provided by the merchant to perform an online payment transaction.\n\n> - Channel Id may refer to the [Get Channel List](/api-reference/get-tenant-channels-by-country)\n> - If merchants would like to use [CommercePay Hosted Payment Web solution](/hosted-session-checkout), merchants may skip Channel Id parameter.","deprecated":null,"version":null,"sidebarTitle":"Request Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RequestPayment","href":"/api-reference/paymentgateway/request-payment","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Request Payment","x-mint":{"metadata":{"title":"Request Payment","sidebarTitle":"Request Payment"}},"description":"**The payment gateway requests a new payment**\n\nThe following input parameters are expected to be provided by the merchant to perform an online payment transaction.\n\n> - Channel Id may refer to the [Get Channel List](/api-reference/get-tenant-channels-by-country)\n> - If merchants would like to use [CommercePay Hosted Payment Web solution](/hosted-session-checkout), merchants may skip Channel Id parameter.","operationId":"ApiServicesAppPaymentgatewayRequestpaymentPost","requestBody":"9eee38f7-078d-4d3f-86b8-5ead6d0b2695","responses":{"200":"7852c4f8-0314-4a47-a3a4-e764c045d49f","400":"7f569233-dd1f-4ce9-8823-c7f08fb0de9b"},"parameters":["40ce379c-e080-43de-b3d3-7e90499a6290","42947461-cc96-483d-bb9b-576bf8cbfb53","2584730f-d9b4-489b-b5b7-09d1e1f2850f"],"tags":["PaymentGateway"],"method":"post","type":"path","servers":["64f6ba68-f659-4eb6-aced-7af162de9cb4"],"security":[],"path":"/api/services/app/PaymentGateway/RequestPayment","baseUrlOptions":["https://staging-payments.commerce.asia"],"title":"Request Payment","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"40ce379c-e080-43de-b3d3-7e90499a6290":{"schema":{"type":"string","isRequired":true,"description":"Your unique Merchant ID assigned by CommercePay.","uniqueKey":"","typeLabel":"string"},"in":"header","name":"Abp-TenantId","required":true,"description":"Your unique Merchant ID assigned by CommercePay."},"42947461-cc96-483d-bb9b-576bf8cbfb53":{"schema":{"type":"string","isRequired":true,"description":"Your API credentials used for authentication (typically a Bearer token).","uniqueKey":"","typeLabel":"string"},"in":"header","name":"Authorization","required":true,"description":"Your API credentials used for authentication (typically a Bearer token)."},"2584730f-d9b4-489b-b5b7-09d1e1f2850f":{"schema":{"type":"string","isRequired":true,"description":"A unique security hash used to verify the integrity of the request body. See [Generate Signature](/generate-signature) for how to generate this.","uniqueKey":"","typeLabel":"string"},"in":"header","name":"cap-signature","required":true,"description":"A unique security hash used to verify the integrity of the request body. See [Generate Signature](/generate-signature) for how to generate this."}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"x-examples":{"Example 1":{"channelId":2,"providerChannelId":"TEST0021","currencyCode":"MYR","amount":100,"referenceCode":"string","description":"Order details","ipAddress":"string","userAgent":"string","returnUrl":"https://returnurl.com/","callbackUrl":"https://callback.com/","savePayment":true,"customer":{"email":"email@gmail.com","mobileNo":"0123456789","name":"name","username":"username","identificationNumber":"string","identificationType":1},"subMerchant":{"uniqueId":"string","name":"string"},"localCitizen":true,"recurringPaymentInfo":{"id":"string","mode":1,"numberOfPayments":0,"effectiveDate":"string","maximumPaymentAmount":0,"expiryDate":"string","isFixedAmount":true},"requestPaymentExtraInfo":{"channelGroupId":0},"platformCharge":{"partnerId":"string","amount":0},"timestamp":1621851652617}},"required":["currencyCode","amount","referenceCode","description","ipAddress","returnUrl","timestamp"],"properties":{"currencyCode":{"type":"string","description":"Currency code with a 3-letter ISO 4217 standard code (e.g., `MYR`).","maxLength":3,"example":"MYR","isRequired":true,"uniqueKey":"currencyCode","typeLabel":"string"},"amount":{"type":"integer","format":"int64","description":"The transaction payment value. This field exclusively accepts integer units where the final decimals are represented as whole values (e.g., an amount value of `1000` translates to `10.00` in the system backend).","example":100,"isRequired":true,"uniqueKey":"amount","typeLabel":"integer\u003cint64>"},"referenceCode":{"type":"string","description":"The merchant-side unique order reference or invoice tracking sequence code.","maxLength":50,"isRequired":true,"uniqueKey":"referenceCode","typeLabel":"string"},"description":{"type":"string","description":"Short free-text summary of the transaction.\n\nUse English letters, numbers, spaces and basic punctuation (`. , - _ ( ) @ /`). Avoid emojis and non-English characters: some payment providers remove unsupported characters or shorten the text (for example, FPX keeps only the first 30 characters), so the description shown to the customer by the provider may differ from what you sent. The payment is not rejected when characters are removed.","example":"Order details","maxLength":100,"isRequired":true,"uniqueKey":"description","typeLabel":"string"},"ipAddress":{"type":"string","description":"The customer's IP address captured by the merchant server.","maxLength":50,"isRequired":true,"uniqueKey":"ipAddress","typeLabel":"string"},"returnUrl":{"type":"string","description":"The synchronous return URL where the customer's browser is automatically redirected after the transaction is completed.","example":"https://returnurl.com/","maxLength":500,"isRequired":true,"uniqueKey":"returnUrl","typeLabel":"string"},"timestamp":{"type":"integer","format":"int64","description":"Numeric timestamp in milliseconds representing request validation freshness, generated via `new Date().getTime()`. Example: `1621851652617`.","example":1621851652617,"isRequired":true,"uniqueKey":"timestamp","typeLabel":"integer\u003cint64>"},"channelId":{"oneOf":[{"type":"integer","format":"int32","description":"An identifier that represents a CommercePay payments channel. Refer to the `id` from the response of the [Get Channel List](/api-reference/get-tenant-channels-by-country).\n\nOptional: Send without channelId parameter to call Payment web","example":2,"uniqueKey":"channelId.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"An identifier that represents a CommercePay payments channel. Refer to the `id` from the response of the [Get Channel List](/api-reference/get-tenant-channels-by-country).\n\nOptional: Send without channelId parameter to call Payment web","example":2,"uniqueKey":"channelId.oneOf.1","typeLabel":"null"}],"uniqueKey":"channelId","typeLabel":"integer\u003cint32> | null"},"providerChannelId":{"oneOf":[{"type":"string","description":"An identifier that represents the payment provider channel. To get providerChannelId, kindly refer to [Get Provider Channels](/api-reference/get-provider-channels) for more information","example":"TEST0021","uniqueKey":"providerChannelId.oneOf.0","typeLabel":"string"},{"type":"null","description":"An identifier that represents the payment provider channel. To get providerChannelId, kindly refer to [Get Provider Channels](/api-reference/get-provider-channels) for more information","example":"TEST0021","uniqueKey":"providerChannelId.oneOf.1","typeLabel":"null"}],"uniqueKey":"providerChannelId","typeLabel":"string | null"},"userAgent":{"oneOf":[{"type":"string","description":"**[Conditional]** Customer's user agent. It is recommended to input for a better user experience for specific channels due to different platforms such as desktop, mobile, or app view. Example channels impact: ShopeePay.","maxLength":200,"uniqueKey":"userAgent.oneOf.0","typeLabel":"string"},{"type":"null","description":"**[Conditional]** Customer's user agent. It is recommended to input for a better user experience for specific channels due to different platforms such as desktop, mobile, or app view. Example channels impact: ShopeePay.","maxLength":200,"uniqueKey":"userAgent.oneOf.1","typeLabel":"null"}],"uniqueKey":"userAgent","typeLabel":"string | null"},"callbackUrl":{"oneOf":[{"type":"string","example":"https://callback.com/","maxLength":500,"description":"Target address utilized for asynchronous host-to-host webhook payment status change push actions.","uniqueKey":"callbackUrl.oneOf.0","typeLabel":"string"},{"type":"null","example":"https://callback.com/","maxLength":500,"description":"Target address utilized for asynchronous host-to-host webhook payment status change push actions.","uniqueKey":"callbackUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"callbackUrl","typeLabel":"string | null"},"savePayment":{"type":"boolean","description":"**[Conditional for Tokenize Payment]** To save user info for subsequent payment","uniqueKey":"savePayment","typeLabel":"boolean"},"customer":{"type":"object","additionalProperties":false,"x-examples":{},"properties":{"email":{"oneOf":[{"type":"string","description":"Customer’s Email Address","example":"email@gmail.com","maxLength":150,"uniqueKey":"customer.email.oneOf.0","typeLabel":"string"},{"type":"null","description":"Customer’s Email Address","example":"email@gmail.com","maxLength":150,"uniqueKey":"customer.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.email","typeLabel":"string | null"},"mobileNo":{"oneOf":[{"type":"string","description":"Customer’s Mobile Number","example":"0123456789","maxLength":16,"uniqueKey":"customer.mobileNo.oneOf.0","typeLabel":"string"},{"type":"null","description":"Customer’s Mobile Number","example":"0123456789","maxLength":16,"uniqueKey":"customer.mobileNo.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.mobileNo","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"Customer’s Name","example":"name","maxLength":36,"uniqueKey":"customer.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Customer’s Name","example":"name","maxLength":36,"uniqueKey":"customer.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.name","typeLabel":"string | null"},"username":{"oneOf":[{"type":"string","description":"Customer’s unique ID for recurring payments or next saved payments","example":"username","maxLength":36,"uniqueKey":"customer.username.oneOf.0","typeLabel":"string"},{"type":"null","description":"Customer’s unique ID for recurring payments or next saved payments","example":"username","maxLength":36,"uniqueKey":"customer.username.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.username","typeLabel":"string | null"},"identificationNumber":{"type":"string","description":"**[Conditional for FPX Recurring]**","uniqueKey":"customer.identificationNumber","typeLabel":"string"},"identificationType":{"enum":[1,2,3,4,5],"type":"integer","x-enumNames":["NewIdentityNumber","OldIdentityNumber","PassportNumber","BusinessRegistration","Others"],"x-examples":{},"description":"**[Conditional for FPX Recurring]**\n\nNew Identity Number = 1, Old Identity Number = 2, Passport Number = 3, Business Registration = 4, Others = 5","uniqueKey":"customer.identificationType","typeLabel":"enum\u003cinteger>"}},"uniqueKey":"customer","typeLabel":"object"},"subMerchant":{"type":"object","properties":{"uniqueId":{"oneOf":[{"type":"string","uniqueKey":"subMerchant.uniqueId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"subMerchant.uniqueId.oneOf.1","typeLabel":"null"}],"uniqueKey":"subMerchant.uniqueId","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","uniqueKey":"subMerchant.name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"subMerchant.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"subMerchant.name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"subMerchant","typeLabel":"object"},"localCitizen":{"type":"boolean","description":"**[Conditional for certain channel]** Example: If the customer is from Malaysia, kindly set it as True; else, set it as False","uniqueKey":"localCitizen","typeLabel":"boolean"},"recurringPaymentInfo":{"type":"object","additionalProperties":false,"description":"[Conditional for Recurring Payment]","properties":{"id":{"oneOf":[{"type":"string","description":"Unique ID provided by the merchant to identify a subscription or account for recurring payments","uniqueKey":"recurringPaymentInfo.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique ID provided by the merchant to identify a subscription or account for recurring payments","uniqueKey":"recurringPaymentInfo.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurringPaymentInfo.id","typeLabel":"string | null"},"mode":{"enum":[1,2,3,4],"type":"integer","format":"int32","x-enumNames":["Daily","Weekly","Monthly","Yearly"],"description":"Daily = 1, Weekly = 2, Monthly = 3, Yearly = 4","title":"","uniqueKey":"recurringPaymentInfo.mode","typeLabel":"enum\u003cinteger>"},"numberOfPayments":{"oneOf":[{"type":"integer","format":"int32","description":"Maximum Recurring Frequency: 999 (Example: Frequency value 1 => 1 day / 1 week / 1 month / 1 year)","uniqueKey":"recurringPaymentInfo.numberOfPayments.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Maximum Recurring Frequency: 999 (Example: Frequency value 1 => 1 day / 1 week / 1 month / 1 year)","uniqueKey":"recurringPaymentInfo.numberOfPayments.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurringPaymentInfo.numberOfPayments","typeLabel":"integer\u003cint32> | null"},"effectiveDate":{"oneOf":[{"type":"string","description":"Recurring effective start date Format ddMMyyyy (E.g 20122022)","uniqueKey":"recurringPaymentInfo.effectiveDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"Recurring effective start date Format ddMMyyyy (E.g 20122022)","uniqueKey":"recurringPaymentInfo.effectiveDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurringPaymentInfo.effectiveDate","typeLabel":"string | null"},"maximumPaymentAmount":{"oneOf":[{"type":"integer","format":"int64","description":"Maximum payment amount of the each recurring payment","minimum":0,"uniqueKey":"recurringPaymentInfo.maximumPaymentAmount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Maximum payment amount of the each recurring payment","minimum":0,"uniqueKey":"recurringPaymentInfo.maximumPaymentAmount.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurringPaymentInfo.maximumPaymentAmount","typeLabel":"integer\u003cint64> | null"},"expiryDate":{"oneOf":[{"type":"string","description":"Recurring expiry date format ddMMyyyy (E.g 20122022)","uniqueKey":"recurringPaymentInfo.expiryDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"Recurring expiry date format ddMMyyyy (E.g 20122022)","uniqueKey":"recurringPaymentInfo.expiryDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurringPaymentInfo.expiryDate","typeLabel":"string | null"},"isFixedAmount":{"oneOf":[{"type":"boolean","description":"Whether every recurring is a fixed amount or not","uniqueKey":"recurringPaymentInfo.isFixedAmount.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether every recurring is a fixed amount or not","uniqueKey":"recurringPaymentInfo.isFixedAmount.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurringPaymentInfo.isFixedAmount","typeLabel":"boolean | null"}},"uniqueKey":"recurringPaymentInfo","typeLabel":"object"},"requestPaymentExtraInfo":{"type":"object","description":"[Optional]","properties":{"ChannelGroupId":{"oneOf":[{"type":"integer","description":"Optional: Used for displaying selected channel groups on CommercePay hosted payment web","format":"int32","uniqueKey":"requestPaymentExtraInfo.ChannelGroupId.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"Optional: Used for displaying selected channel groups on CommercePay hosted payment web","format":"int32","uniqueKey":"requestPaymentExtraInfo.ChannelGroupId.oneOf.1","typeLabel":"null"}],"uniqueKey":"requestPaymentExtraInfo.ChannelGroupId","typeLabel":"integer\u003cint32> | null"},"HiddenChannel":{"oneOf":[{"type":"array","description":"Optional: To hide channels on CommercePay hosted payment web","deprecated":true,"items":{"type":"integer","format":"int32","default":0,"uniqueKey":"requestPaymentExtraInfo.HiddenChannel.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint32>"},"uniqueKey":"requestPaymentExtraInfo.HiddenChannel.oneOf.0","typeLabel":"integer\u003cint32>[]"},{"type":"null","description":"Optional: To hide channels on CommercePay hosted payment web","deprecated":true,"items":{"type":"integer","format":"int32","default":0},"uniqueKey":"requestPaymentExtraInfo.HiddenChannel.oneOf.1","typeLabel":"null"}],"uniqueKey":"requestPaymentExtraInfo.HiddenChannel","typeLabel":"integer\u003cint32>[] | null"},"WhitelistChannelGroup":{"oneOf":[{"type":"array","description":"Optional: Specific channel group channel display on the CommercePay hosted payment page.","items":{"type":"integer","format":"int32","uniqueKey":"requestPaymentExtraInfo.WhitelistChannelGroup.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint32>"},"uniqueKey":"requestPaymentExtraInfo.WhitelistChannelGroup.oneOf.0","typeLabel":"integer\u003cint32>[]"},{"type":"null","description":"Optional: Specific channel group channel display on the CommercePay hosted payment page.","items":{"type":"integer","format":"int32"},"uniqueKey":"requestPaymentExtraInfo.WhitelistChannelGroup.oneOf.1","typeLabel":"null"}],"uniqueKey":"requestPaymentExtraInfo.WhitelistChannelGroup","typeLabel":"integer\u003cint32>[] | null"},"WhitelistChannel":{"oneOf":[{"type":"array","description":"Optional: Specific channel display on the CommercePay hosted payment page.","items":{"type":"integer","format":"int32","uniqueKey":"requestPaymentExtraInfo.WhitelistChannel.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint32>"},"uniqueKey":"requestPaymentExtraInfo.WhitelistChannel.oneOf.0","typeLabel":"integer\u003cint32>[]"},{"type":"null","description":"Optional: Specific channel display on the CommercePay hosted payment page.","items":{"type":"integer","format":"int32"},"uniqueKey":"requestPaymentExtraInfo.WhitelistChannel.oneOf.1","typeLabel":"null"}],"uniqueKey":"requestPaymentExtraInfo.WhitelistChannel","typeLabel":"integer\u003cint32>[] | null"}},"uniqueKey":"requestPaymentExtraInfo","typeLabel":"object"},"platformCharge":{"type":"object","additionalProperties":false,"description":"Optional: Only Authorized Partners by CommercePay are allowed to charge platform fees to the merchant","properties":{"partnerId":{"oneOf":[{"type":"string","description":"Unique Id to identify authorized partner.","uniqueKey":"platformCharge.partnerId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique Id to identify authorized partner.","uniqueKey":"platformCharge.partnerId.oneOf.1","typeLabel":"null"}],"uniqueKey":"platformCharge.partnerId","typeLabel":"string | null"},"amount":{"oneOf":[{"type":"integer","format":"int64","description":"Platform charge amount.","uniqueKey":"platformCharge.amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Platform charge amount.","uniqueKey":"platformCharge.amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"platformCharge.amount","typeLabel":"integer\u003cint64> | null"}},"uniqueKey":"platformCharge","typeLabel":"object"},"ChannelDetails":{"type":"object","x-examples":{"Example 1":{"cardNumber":"5123450000000008","expiryMonth":"01","expiryYear":"39","holderName":"test","securityCode":"100","AuthType":1}},"description":"[Optional]","properties":{"cardNumber":{"oneOf":[{"type":"string","description":"Card Number","example":"48481000XXXXXXXX","uniqueKey":"ChannelDetails.cardNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card Number","example":"48481000XXXXXXXX","uniqueKey":"ChannelDetails.cardNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"ChannelDetails.cardNumber","typeLabel":"string | null"},"expiryMonth":{"oneOf":[{"type":"string","description":"Card Expiry Month","example":"01","uniqueKey":"ChannelDetails.expiryMonth.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card Expiry Month","example":"01","uniqueKey":"ChannelDetails.expiryMonth.oneOf.1","typeLabel":"null"}],"uniqueKey":"ChannelDetails.expiryMonth","typeLabel":"string | null"},"expiryYear":{"oneOf":[{"type":"string","description":"Card Expiry Year","example":"99","uniqueKey":"ChannelDetails.expiryYear.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card Expiry Year","example":"99","uniqueKey":"ChannelDetails.expiryYear.oneOf.1","typeLabel":"null"}],"uniqueKey":"ChannelDetails.expiryYear","typeLabel":"string | null"},"holderName":{"oneOf":[{"type":"string","description":"Card Holder Name","example":"ALEXXXXXXXX","uniqueKey":"ChannelDetails.holderName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card Holder Name","example":"ALEXXXXXXXX","uniqueKey":"ChannelDetails.holderName.oneOf.1","typeLabel":"null"}],"uniqueKey":"ChannelDetails.holderName","typeLabel":"string | null"},"securityCode":{"type":"string","description":"Card Security Code","maxLength":3,"example":"999","uniqueKey":"ChannelDetails.securityCode","typeLabel":"string"},"AuthType":{"title":"AuthType","enum":[1],"x-enumNames":["PreAuth"],"type":"number","uniqueKey":"ChannelDetails.AuthType","typeLabel":"enum\u003cnumber>"}},"uniqueKey":"ChannelDetails","typeLabel":"object"},"BrowserInfo":{"type":"object","x-examples":{"Example 1":{"javaEnabled":true,"colorDepth":24,"screenHeight":600,"screenWidth":800,"timeZoneOffset":"+08:00"}},"properties":{"javaEnabled":{"oneOf":[{"type":"boolean","uniqueKey":"BrowserInfo.javaEnabled.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"BrowserInfo.javaEnabled.oneOf.1","typeLabel":"null"}],"uniqueKey":"BrowserInfo.javaEnabled","typeLabel":"boolean | null"},"colorDepth":{"oneOf":[{"type":"integer","uniqueKey":"BrowserInfo.colorDepth.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"BrowserInfo.colorDepth.oneOf.1","typeLabel":"null"}],"uniqueKey":"BrowserInfo.colorDepth","typeLabel":"integer | null"},"screenHeight":{"oneOf":[{"type":"integer","uniqueKey":"BrowserInfo.screenHeight.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"BrowserInfo.screenHeight.oneOf.1","typeLabel":"null"}],"uniqueKey":"BrowserInfo.screenHeight","typeLabel":"integer | null"},"screenWidth":{"oneOf":[{"type":"integer","uniqueKey":"BrowserInfo.screenWidth.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"BrowserInfo.screenWidth.oneOf.1","typeLabel":"null"}],"uniqueKey":"BrowserInfo.screenWidth","typeLabel":"integer | null"},"timeZoneOffset":{"oneOf":[{"type":"string","uniqueKey":"BrowserInfo.timeZoneOffset.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"BrowserInfo.timeZoneOffset.oneOf.1","typeLabel":"null"}],"uniqueKey":"BrowserInfo.timeZoneOffset","typeLabel":"string | null"}},"description":"[Optional]","uniqueKey":"BrowserInfo","typeLabel":"object"},"VirtualAccountCode":{"oneOf":[{"type":"string","maxLength":30,"description":"Code to identify virtual account to make payment.","uniqueKey":"VirtualAccountCode.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":30,"description":"Code to identify virtual account to make payment.","uniqueKey":"VirtualAccountCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"VirtualAccountCode","typeLabel":"string | null"},"loyaltyPaymentInfoDto":{"title":"LoyaltyPaymentInfoDto","type":"object","description":"[Conditional for Loyalty payment]","properties":{"cardNumber":{"type":"string","description":"Card Number","uniqueKey":"loyaltyPaymentInfoDto.cardNumber","typeLabel":"string"},"cardPassword":{"type":"string","description":"Card Password","uniqueKey":"loyaltyPaymentInfoDto.cardPassword","typeLabel":"string"},"redemptionPoint":{"type":"integer","format":"int64","description":"Redemption Point","example":10,"uniqueKey":"loyaltyPaymentInfoDto.redemptionPoint","typeLabel":"integer\u003cint64>"}},"uniqueKey":"loyaltyPaymentInfoDto","typeLabel":"LoyaltyPaymentInfoDto · object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example Request":{"title":"Example Request","value":{"channelId":0,"providerChannelId":"string","currencyCode":"MYR","amount":0,"referenceCode":"string","description":"string","ipAddress":"string","userAgent":"string","returnUrl":"string","callbackUrl":"string","savePayment":false,"customer":{"email":"string","mobileNo":"string","name":"string","username":"string","identificationNumber":"string","identificationType":1},"subMerchant":{"uniqueId":"string","name":"string"},"localCitizen":true,"recurringPaymentInfo":{"id":"string","mode":1,"numberOfPayments":1,"effectiveDate":"string","maximumPaymentAmount":0,"expiryDate":"string","isFixedAmount":true},"requestPaymentExtraInfo":{"channelGroupId":0},"platformCharge":{"partnerId":"string","amount":0},"timestamp":0}},"Sample Input":{"title":"Sample Input","value":{"channelId":2,"providerChannelId":"TEST0021","currencyCode":"MYR","amount":100,"referenceCode":"string","description":"Order details","ipAddress":"string","userAgent":"string","returnUrl":"https://returnurl.com/","callbackUrl":"https://callback.com/","customer":{"email":"email@gmail.com","mobileNo":"0123456789","name":"name","username":"username"},"timestamp":1621851652617}}},"exampleType":"examples"}},"description":"","exampleType":"examples"},"responses":{"7852c4f8-0314-4a47-a3a4-e764c045d49f":{"description":"Success","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"x-examples":{"example-1":{"currencyCode":"MYR","amount":100,"transactionNumber":"string","channelId":-2147483648,"redirectionType":1,"redirectUrl":"string","clientScript":"string"}},"x-internal":false,"properties":{"currencyCode":{"oneOf":[{"type":"string","description":"Currency code with a 3-letter ISO 4217 standard code (e.g., `MYR`).","example":"MYR","maxLength":3,"uniqueKey":"currencyCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"Currency code with a 3-letter ISO 4217 standard code (e.g., `MYR`).","example":"MYR","maxLength":3,"uniqueKey":"currencyCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"currencyCode","typeLabel":"string | null"},"amount":{"type":"integer","format":"int64","description":"**Please take note:** The Amount parameter only accepts integer units. For example, 1000 is equivalent to 10.00 for the backend","example":100,"uniqueKey":"amount","typeLabel":"integer\u003cint64>"},"transactionNumber":{"oneOf":[{"type":"string","description":"Unique CommercePay Transaction Number","maxLength":24,"uniqueKey":"transactionNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique CommercePay Transaction Number","maxLength":24,"uniqueKey":"transactionNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionNumber","typeLabel":"string | null"},"channelId":{"oneOf":[{"type":"integer","format":"int32","description":"Refer to the `id` from the response of the [Get Channel List](/api-reference/get-tenant-channels-by-country).","uniqueKey":"channelId.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Refer to the `id` from the response of the [Get Channel List](/api-reference/get-tenant-channels-by-country).","uniqueKey":"channelId.oneOf.1","typeLabel":"null"}],"uniqueKey":"channelId","typeLabel":"integer\u003cint32> | null"},"redirectionType":{"enum":[1,2,4,5,6],"type":"integer","format":"int32","x-enumNames":["UrlRedirection","RenderScriptRedirection","RenderInQR","CashOnCounterRedirection","RenderInQRBase64"],"description":"How to present the payment to the customer.\n\n| Value | Name | What to do |\n| ----- | ---- | ---------- |\n| 1 | `UrlRedirection` | Redirect the customer's browser to `redirectUrl`. |\n| 2 | `RenderScriptRedirection` | Render `clientScript` in the customer's browser. |\n| 4 | `RenderInQR` | Display `redirectUrl` as a QR code image or link (see `base64Image`). |\n| 5 | `CashOnCounterRedirection` | Show the customer the `serialNumber` to pay at the counter. |\n| 6 | `RenderInQRBase64` | Display the QR code image from `base64Image`. |","uniqueKey":"redirectionType","typeLabel":"enum\u003cinteger>"},"redirectUrl":{"oneOf":[{"type":"string","description":"URL used for the customer to redirect to the payment page","uniqueKey":"redirectUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL used for the customer to redirect to the payment page","uniqueKey":"redirectUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"redirectUrl","typeLabel":"string | null"},"clientScript":{"oneOf":[{"type":"string","description":"Script to render in the customer's browser. Only set when `redirectionType` is 2.","uniqueKey":"clientScript.oneOf.0","typeLabel":"string"},{"type":"null","description":"Script to render in the customer's browser. Only set when `redirectionType` is 2.","uniqueKey":"clientScript.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientScript","typeLabel":"string | null"},"base64Image":{"oneOf":[{"type":"string","description":"Base64-encoded QR code image. Only set for QR channels (`redirectionType` 4 or 6, channel dependent).","uniqueKey":"base64Image.oneOf.0","typeLabel":"string"},{"type":"null","description":"Base64-encoded QR code image. Only set for QR channels (`redirectionType` 4 or 6, channel dependent).","uniqueKey":"base64Image.oneOf.1","typeLabel":"null"}],"uniqueKey":"base64Image","typeLabel":"string | null"},"expiredInSeconds":{"oneOf":[{"type":"integer","format":"int32","description":"How many seconds the payment stays valid from the time of this response. Only set for channels with a short validity period (QR channels and some card channels). Use `transactionExpired` for the exact deadline.","uniqueKey":"expiredInSeconds.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"How many seconds the payment stays valid from the time of this response. Only set for channels with a short validity period (QR channels and some card channels). Use `transactionExpired` for the exact deadline.","uniqueKey":"expiredInSeconds.oneOf.1","typeLabel":"null"}],"uniqueKey":"expiredInSeconds","typeLabel":"integer\u003cint32> | null"},"serialNumber":{"oneOf":[{"type":"integer","format":"int64","description":"Payment serial number the customer quotes at the counter. Only set when `redirectionType` is 5.","uniqueKey":"serialNumber.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Payment serial number the customer quotes at the counter. Only set when `redirectionType` is 5.","uniqueKey":"serialNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"serialNumber","typeLabel":"integer\u003cint64> | null"},"transactionExpired":{"oneOf":[{"type":"string","format":"date-time","description":"Deadline for completing the payment. Can be null when the channel doesn't report one.","uniqueKey":"transactionExpired.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Deadline for completing the payment. Can be null when the channel doesn't report one.","uniqueKey":"transactionExpired.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionExpired","typeLabel":"string\u003cdate-time> | null"},"paymentToken":{"oneOf":[{"type":"string","description":"Token that identifies this transaction on CommercePay's hosted payment page. Always returned, so you don't need to parse it out of `redirectUrl`, which may point to the payment provider instead.","uniqueKey":"paymentToken.oneOf.0","typeLabel":"string"},{"type":"null","description":"Token that identifies this transaction on CommercePay's hosted payment page. Always returned, so you don't need to parse it out of `redirectUrl`, which may point to the payment provider instead.","uniqueKey":"paymentToken.oneOf.1","typeLabel":"null"}],"uniqueKey":"paymentToken","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example Response":{"title":"Example Response","value":{"currencyCode":"MYR","amount":0,"transactionNumber":"string","channelId":0,"redirectionType":1,"redirectUrl":"string","clientScript":null,"base64Image":null,"expiredInSeconds":null,"serialNumber":null,"transactionExpired":"2026-05-28T16:39:00.000Z","paymentToken":"string"}}},"exampleType":"examples"}},"exampleType":"examples"},"7f569233-dd1f-4ce9-8823-c7f08fb0de9b":{"description":"Bad Request\nInvalid Timestamp.\nInvalid Signature.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{},"servers":{"64f6ba68-f659-4eb6-aced-7af162de9cb4":{"description":"Staging","url":"https://staging-payments.commerce.asia"}}},"originalFileLocation":"openapi.json"},"subdomain":"commercepay","siteName":"CommercePay","title":"Request Payment - CommercePay","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T05:02:49.760Z","originalFileLocation":"api-reference/paymentgateway/request-payment.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The payment gateway requests a new payment The following input parameters are expected to be provided by the merchant to perform an online payment transaction. \u0026gt; - Channel Id may refer to the Get Channel List \u0026gt; - If merchants would like to use CommercePay Hosted Payment Web solution, merchants may skip Channel Id parameter.\">\u003cmeta data-mint-head name=\"application-name\" content=\"CommercePay\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Request Payment - CommercePay\">\u003cmeta data-mint-head property=\"og:description\" content=\"The payment gateway requests a new payment The following input parameters are expected to be provided by the merchant to perform an online payment transaction. \u0026gt; - Channel Id may refer to the Get Channel List \u0026gt; - If merchants would like to use CommercePay Hosted Payment Web solution, merchants may skip Channel Id parameter.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"CommercePay\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://commercepay.mintlify.site/images/commercepay-og-image.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Request Payment - CommercePay\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"The payment gateway requests a new payment The following input parameters are expected to be provided by the merchant to perform an online payment transaction. \u0026gt; - Channel Id may refer to the Get Channel List \u0026gt; - If merchants would like to use CommercePay Hosted Payment Web solution, merchants may skip Channel Id parameter.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://commercepay.mintlify.site/images/commercepay-og-image.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/commercepay/GH8Bb27qvn280PyP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"CommercePay\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5D40E6\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"dUzHLcHfcaknXY13Nu97zc6gj2DguWeqMvoJWcgBCa4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/paymentgateway/request-payment.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.commercepay.asia/#organization\",\"name\":\"CommercePay\",\"url\":\"https://docs.commercepay.asia\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/commercepay/zbo4Bt5Hnzxuhmp1/logo/commercepay-logo-cropped.png?fit=max\u0026auto=format\u0026n=zbo4Bt5Hnzxuhmp1\u0026q=85\u0026s=2818942319162624de2b3de633ee42ed\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.commercepay.asia#website\",\"name\":\"CommercePay\",\"url\":\"https://docs.commercepay.asia\",\"publisher\":{\"@id\":\"https://docs.commercepay.asia/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment#webpage\",\"url\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment\",\"name\":\"Request Payment\",\"description\":\"The payment gateway requests a new payment The following input parameters are expected to be provided by the merchant to perform an online payment transaction. > - Channel Id may refer to the Get Channel List > - If merchants would like to use CommercePay Hosted Payment Web solution, merchants may skip Channel Id parameter.\",\"dateModified\":\"2026-10-29T05:02:49.760Z\",\"isPartOf\":{\"@id\":\"https://docs.commercepay.asia#website\"},\"breadcrumb\":{\"@id\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"All APIs\",\"item\":\"https://docs.commercepay.asia/api-reference/get-access-token\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"PaymentGateway\",\"item\":\"https://docs.commercepay.asia/api-reference/query-payment\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Request Payment\",\"item\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment#apireference\",\"headline\":\"Request Payment\",\"name\":\"Request Payment\",\"description\":\"The payment gateway requests a new payment The following input parameters are expected to be provided by the merchant to perform an online payment transaction. > - Channel Id may refer to the Get Channel List > - If merchants would like to use CommercePay Hosted Payment Web solution, merchants may skip Channel Id parameter.\",\"url\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment\",\"mainEntityOfPage\":{\"@id\":\"https://docs.commercepay.asia/api-reference/paymentgateway/request-payment#webpage\"},\"image\":\"https://docs.commercepay.asia/images/commercepay-og-image.png\",\"dateModified\":\"2026-10-29T05:02:49.760Z\",\"publisher\":{\"@id\":\"https://docs.commercepay.asia/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.commercepay.asia#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"CommercePay\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"CommercePay","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/overview"}]},{"tab":"API Reference","groups":[{"group":"Authentication","pages":[{"title":"Get Access Token","deprecated":null,"version":null,"sidebarTitle":"Get Access Token","openapi":"/openapi.json post /api/TokenAuth/Authenticate","href":"/api-reference/get-access-token"}]},{"group":"Channel APIs","pages":[{"title":"Get Channel List","deprecated":null,"version":null,"sidebarTitle":"Get Channel List","openapi":"/openapi.json get /api/services/app/Channel/GetTenantChannelsByCountry","href":"/api-reference/get-tenant-channels-by-country"},{"title":"Get Provider Channels","deprecated":null,"version":null,"sidebarTitle":"Get Provider Channels","openapi":"/openapi.json get /api/services/app/Channel/GetProviderChannels","href":"/api-reference/get-provider-channels"}]},{"group":"Payin APIs","pages":[{"title":"Direct Integration","api":"POST https://staging-payments.commerce.asia/api/services/app/PaymentGateway/RequestPayment","href":"/api-reference/direct-integration-api-request-payment"},{"title":"Hosted Session Checkout","deprecated":null,"version":null,"sidebarTitle":"Hosted Session Checkout","openapi":"/openapi.json post /api/services/app/PaymentGateway/InitialSession","href":"/api-reference/initial-session"},{"title":"Query Payment","deprecated":null,"version":null,"sidebarTitle":"Query Payment","openapi":"/openapi.json get /api/services/app/PaymentGateway/Query","href":"/api-reference/query-payment"}]},{"group":"Saved Payment APIs","pages":[{"title":"Add Saved Payment","deprecated":null,"version":null,"sidebarTitle":"Add Saved Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/AddSavePayment","href":"/api-reference/add-saved-payment"},{"title":"Check Saved Payment","deprecated":null,"version":null,"sidebarTitle":"Check Saved Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/CheckSavedPayment","href":"/api-reference/check-saved-payment"},{"title":"Revoke Saved Payment","deprecated":null,"version":null,"sidebarTitle":"Revoke Saved Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RevokeTokenize","href":"/api-reference/revoke-saved-payment"}]},{"group":"Payout APIs","pages":[{"title":"Request Payout","api":"POST https://staging-payments.commerce.asia/api/services/app/PaymentGateway/RequestPayment","href":"/api-reference/payout-api-requestpayout"},{"title":"Query Wallets","api":"POST https://staging-payments.commerce.asia/api/services/app/PaymentGateway/QueryWallets","href":"/api-reference/payout-api-querywallets"},{"title":"Query Wallet Histories","api":"POST https://staging-payments.commerce.asia/api/services/app/PaymentGateway/QueryWalletHistory","href":"/api-reference/payout-api-querywallethistories"}]},{"group":"Refund APIs","pages":[{"title":"Refund Payment","deprecated":null,"version":null,"sidebarTitle":"Refund Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RefundPayment","href":"/api-reference/refund-payment"},{"title":"Query Refund Payment","deprecated":null,"version":null,"sidebarTitle":"Query Refund Payment","openapi":"/openapi.json get /api/services/app/PaymentGateway/QueryRefund","href":"/api-reference/query-refund-payment"}]},{"group":"All APIs","pages":[{"group":"TokenAuth","pages":[{"title":"Get Access Token","deprecated":null,"version":null,"sidebarTitle":"Get Access Token","openapi":"/openapi.json post /api/TokenAuth/Authenticate","href":"/api-reference/get-access-token"}]},{"group":"Channel","pages":[{"title":"Get Channel List","deprecated":null,"version":null,"sidebarTitle":"Get Channel List","openapi":"/openapi.json get /api/services/app/Channel/GetTenantChannelsByCountry","href":"/api-reference/get-tenant-channels-by-country"},{"title":"Get Provider Channels","deprecated":null,"version":null,"sidebarTitle":"Get Provider Channels","openapi":"/openapi.json get /api/services/app/Channel/GetProviderChannels","href":"/api-reference/get-provider-channels"}]},{"group":"PaymentGateway","pages":[{"title":"Query Payment","description":"Payment gateway checks the existing payment status.\n\nThe following input parameters are expected to be provided by the merchant to verify transaction status or to obtain more details on the payment before approving the customer’s order.","deprecated":null,"version":null,"sidebarTitle":"Query Payment","openapi":"/openapi.json get /api/services/app/PaymentGateway/Query","href":"/api-reference/query-payment"},{"title":"Request Payment","deprecated":null,"version":null,"sidebarTitle":"Request Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RequestPayment","href":"/api-reference/paymentgateway/request-payment"},{"title":"Process Payment","description":"**The payment gateway process a new payment**\r\n\r\nThe following input parameters are expected to be provided by the merchant to perform pre-auth, full payment or partial payment operation.","deprecated":null,"version":null,"sidebarTitle":"Process Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/ProcessPayment","href":"/api-reference/paymentgateway/process-payment"},{"title":"Check Saved Payment","deprecated":null,"version":null,"sidebarTitle":"Check Saved Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/CheckSavedPayment","href":"/api-reference/check-saved-payment"},{"title":"Add Saved Payment","deprecated":null,"version":null,"sidebarTitle":"Add Saved Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/AddSavePayment","href":"/api-reference/add-saved-payment"},{"title":"Revoke Saved Payment","deprecated":null,"version":null,"sidebarTitle":"Revoke Saved Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RevokeTokenize","href":"/api-reference/revoke-saved-payment"},{"title":"Refund Payment","deprecated":null,"version":null,"sidebarTitle":"Refund Payment","openapi":"/openapi.json post /api/services/app/PaymentGateway/RefundPayment","href":"/api-reference/refund-payment"},{"title":"Query Refund Payment","deprecated":null,"version":null,"sidebarTitle":"Query Refund Payment","openapi":"/openapi.json get /api/services/app/PaymentGateway/QueryRefund","href":"/api-reference/query-refund-payment"},{"title":"Query Wallets","deprecated":null,"version":null,"sidebarTitle":"Query Wallets","openapi":"/openapi.json post /api/services/app/PaymentGateway/QueryWallets","href":"/api-reference/paymentgateway/query-wallets"},{"title":"Hosted Session Checkout","deprecated":null,"version":null,"sidebarTitle":"Hosted Session Checkout","openapi":"/openapi.json post /api/services/app/PaymentGateway/InitialSession","href":"/api-reference/initial-session"}]}]}]}]},"basePath":"","title":"Request Payment - CommercePay","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}